<?php

/**
 * Implementation of hook_ctools_plugin_api().
 */
function enterprise_blog_ctools_plugin_api() {
  list($module, $api) = func_get_args();
  if ($module == "context" && $api == "context") {
    return array("version" => 3);
  }
  elseif ($module == "strongarm" && $api == "strongarm") {
    return array("version" => 1);
  }
}

/**
 * Implementation of hook_imagecache_default_presets().
 */
function enterprise_blog_imagecache_default_presets() {
  $items = array(
    'blog_large' => array(
      'presetname' => 'blog_large',
      'actions' => array(
        '0' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale_and_crop',
          'data' => array(
            'width' => '250px',
            'height' => '250px',
          ),
        ),
      ),
    ),
    'blog_medium' => array(
      'presetname' => 'blog_medium',
      'actions' => array(
        '0' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale_and_crop',
          'data' => array(
            'width' => '150px',
            'height' => '150px',
          ),
        ),
      ),
    ),
    'blog_small' => array(
      'presetname' => 'blog_small',
      'actions' => array(
        '0' => array(
          'weight' => '0',
          'module' => 'imagecache',
          'action' => 'imagecache_scale_and_crop',
          'data' => array(
            'width' => '30px',
            'height' => '30px',
          ),
        ),
      ),
    ),
  );
  return $items;
}

/**
 * Implementation of hook_node_info().
 */
function enterprise_blog_node_info() {
  $items = array(
    'weblog' => array(
      'name' => t('Blog'),
      'module' => 'features',
      'description' => t('A <em>blog</em> entry is a single post to an online journal, or web log.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'has_body' => '1',
      'body_label' => t('Body'),
      'min_word_count' => '0',
      'help' => '',
    ),
  );
  return $items;
}

/**
 * Implementation of hook_views_api().
 */
function enterprise_blog_views_api() {
  return array(
    'api' => '2',
  );
}
